Subject: OO Programming Newsletter #12 from Bruce Eckel

From: [email-masked]
Date: Tue, 22 Feb 2000 12:14:22 -0800

To unsubscribe send a blank email to [email-masked]
You are subscribed as [email-masked] 
To modify your email address, go to http://earth.lyris.net/cgi-bin/lyris.pl?enter=eckel-oo-programming

OO Programming Newsletter #12 from Bruce Eckel

= = = Contents = = =
* Download Page & Mirror sites
* New HTML versions of all books with color highlighting
* Revision 7 of TIJ 2nd ed. posted
* European Tour ready for signups

= = = = = = = = = = = = 
* Download Page & Mirror sites

My apologies for the download fiasco last time -- as soon
as my traffic on the xoom site jumped they had some sort of
automatic cutoff device. It may also have had to do with
file size, and my zip files are now broken up into smaller
chunks.

There is a new page which lists all the download site
possibilities, so if a site drops out I can simply remove
it from that page and people won't be left hanging. I also
have a new system in place whereby you can easily mirror
the "Thinking in..." books on your site. If you go to the
download page at:
http://www.mindview.net/DownloadSites/
You'll see the existing links, and a link to instructions
about adding your own mirror. 

If you can, please mirror the site. Thanks.

= = = = = = = = = = = = 
* New HTML versions of all books with color highlighting

A new development is that I've more or less mastered the
process of converting the books to HTML, including
navigation frames, text reformatting, diagrams, and color
syntax highlighting on all the code listings. You can find
both volumes of Thinking in C++, 2nd edition (Vol2 in its
current state), and both editions of Thinking in Java (2nd
edition in its current state) on the download sites.

With the indexing and table of contents links, I think
you'll find its easier to use these versions than ever
before. I've also added appropriate links to the revision
history, a built-in, improved error correction page, and
links back to appropriate places on the web site. Please
give it a try.

The PDF versions will still be available, through PlanetPDF
(who maintains that document). See:
http://www.mindview.net/TIJ2/index.html#PDFVersion
for Java, and:
http://www.mindview.net/ThinkingInCPP2e.html#PDFFormat
for C++.

= = = = = = = = = = = = 
* Revision 7 of TIJ 2nd ed. posted

I am now going through the chapters that don't need a lot
of changes and rewriting them, so they can be given to
Prentice-Hall's copy editor. I will be making periodic
postings as I do this, but won't be announcing them all in
a newsletter. However, if you watch:
http://www.mindview.net/TIJ2/RevisionHistory.html
(There's a link to this off the TIJ2 book page on the
site), you'll see what the current version is and what's
been done to it, so you'll know if you need to download.

In Revision 7, all the front matter, preface, introduction
and Chapters 1-8 have been rewritten, and new exercises
have been added.

= = = = = = = = = = = = 
* European Tour ready for signups

All the locations for the European tour are now ready to
take registrations:

Hands-on Java in Switzerland: April 10-14 Hotel
Préalpina, Chexbres VD. Details and registration at:
http://www.raksoft.ch.

3-day Java Design Patterns in Prague: April 25-27. Details
and registration at:
http://www.ajc.cz/edu/seminar-en.html

Hands-on Java in Piacenza, Italy (at Marco Cantu's seminar
center): May 8-12. Details and registration at:
http://www.marcocantu.com
Please note we have a space limit of 16 for the Piacenza
seminar, so don't delay if you want to make sure you get a
spot!

___| Until Next Time... |________________________

Learn about building web sites: http://www.efuse.com

Java programming questions:
http://www.mindview.net/TIJ2/index.html#JavaProgQuestions

Anyone can sign up for this newsletter by sending an email
to [email-masked].

Bruce Eckel    http://www.BruceEckel.com

---
You are currently subscribed to eckel-oo-programming as: [email-masked]
To unsubscribe send a blank email to [email-masked]